# OpalRTPAVPMediaType Class Reference

`#include <mediatype.h>`

Inheritance diagram for OpalRTPAVPMediaType:

[legend]
Collaboration diagram for OpalRTPAVPMediaType:
[legend]

## Public Member Functions

| OpalRTPAVPMediaType (const char *mediaType, unsigned requiredSessionId=0, OpalMediaType::AutoStartMode autoStart=OpalMediaType::DontOffer)
virtual bool | MatchesSDP (const PCaselessString &, const PCaselessString &, const PStringArray &, PINDEX)
| Determine of this media type is valid for SDP m= section.

## Constructor & Destructor Documentation

OpalRTPAVPMediaType::OpalRTPAVPMediaType | ( | const char * | mediaType,
|  | unsigned | requiredSessionId = `0`,
|  | OpalMediaType::AutoStartMode | autoStart = `OpalMediaType::DontOffer` |
| ) |  |  |

## Member Function Documentation

virtual bool OpalRTPAVPMediaType::MatchesSDP | ( | const PCaselessString & | ,
|  | const PCaselessString & | ,
|  | const PStringArray & | ,
|  | PINDEX |  |
| ) |  |  | `[virtual]`

Determine of this media type is valid for SDP m= section.

Reimplemented from OpalMediaTypeDefinition.

Reimplemented in OpalH224MediaType.

The documentation for this class was generated from the following file:

- mediatype.h